Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 2396943002: Adds methods for Cast support to ios::ChromeBrowserProvider. (Closed)

Created:
2 years, 10 months ago by rohitrao (ping after 24h)
Modified:
2 years, 10 months ago
Reviewers:
sdefresne, Olivier
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Adds methods for Cast support to ios::ChromeBrowserProvider. BUG=653233 TEST=None Committed: https://crrev.com/427a0c5423cedc0da9d0268996112655e8dc1f57 Cr-Commit-Position: refs/heads/master@{#423535}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rebased. #

Total comments: 2

Patch Set 3 : Modify args. #

Patch Set 4 : Still need tab_id. #

Patch Set 5 : Update API. #

Total comments: 2

Patch Set 6 : TODO #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -0 lines) Patch
M ios/public/provider/chrome/browser/chrome_browser_provider.h View 1 2 3 4 5 2 chunks +17 lines, -0 lines 0 comments Download
M ios/public/provider/chrome/browser/chrome_browser_provider.mm View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 26 (16 generated)
rohitrao (ping after 24h)
Comments welcome on the structure and naming of the methods themselves. These seemed to be ...
2 years, 10 months ago (2016-10-05 20:19:56 UTC) #4
Olivier
https://codereview.chromium.org/2396943002/diff/20001/ios/public/provider/chrome/browser/chrome_browser_provider.h File ios/public/provider/chrome/browser/chrome_browser_provider.h (right): https://codereview.chromium.org/2396943002/diff/20001/ios/public/provider/chrome/browser/chrome_browser_provider.h#newcode130 ios/public/provider/chrome/browser/chrome_browser_provider.h:130: virtual void InitializeCastService(id tab_model) const; The name suggests that ...
2 years, 10 months ago (2016-10-06 09:26:45 UTC) #11
rohitrao (ping after 24h)
https://codereview.chromium.org/2396943002/diff/20001/ios/public/provider/chrome/browser/chrome_browser_provider.h File ios/public/provider/chrome/browser/chrome_browser_provider.h (right): https://codereview.chromium.org/2396943002/diff/20001/ios/public/provider/chrome/browser/chrome_browser_provider.h#newcode130 ios/public/provider/chrome/browser/chrome_browser_provider.h:130: virtual void InitializeCastService(id tab_model) const; On 2016/10/06 09:26:45, Olivier ...
2 years, 10 months ago (2016-10-06 12:07:42 UTC) #12
Olivier
lgtm
2 years, 10 months ago (2016-10-06 14:03:26 UTC) #13
rohitrao (ping after 24h)
Per IRC discussion, made the call more generic, which will allow us to add other ...
2 years, 10 months ago (2016-10-06 14:47:16 UTC) #16
sdefresne
lgtm https://codereview.chromium.org/2396943002/diff/80001/ios/public/provider/chrome/browser/chrome_browser_provider.h File ios/public/provider/chrome/browser/chrome_browser_provider.h (right): https://codereview.chromium.org/2396943002/diff/80001/ios/public/provider/chrome/browser/chrome_browser_provider.h#newcode135 ios/public/provider/chrome/browser/chrome_browser_provider.h:135: virtual void AttachTabHelpers(web::WebState* web_state, id tab) const; nit: ...
2 years, 10 months ago (2016-10-06 14:56:43 UTC) #19
rohitrao (ping after 24h)
https://codereview.chromium.org/2396943002/diff/80001/ios/public/provider/chrome/browser/chrome_browser_provider.h File ios/public/provider/chrome/browser/chrome_browser_provider.h (right): https://codereview.chromium.org/2396943002/diff/80001/ios/public/provider/chrome/browser/chrome_browser_provider.h#newcode135 ios/public/provider/chrome/browser/chrome_browser_provider.h:135: virtual void AttachTabHelpers(web::WebState* web_state, id tab) const; On 2016/10/06 ...
2 years, 10 months ago (2016-10-06 15:02:43 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2396943002/100001
2 years, 10 months ago (2016-10-06 15:03:13 UTC) #23
commit-bot: I haz the power
Committed patchset #6 (id:100001)
2 years, 10 months ago (2016-10-06 15:12:07 UTC) #24
commit-bot: I haz the power
2 years, 10 months ago (2016-10-06 15:14:09 UTC) #26
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/427a0c5423cedc0da9d0268996112655e8dc1f57
Cr-Commit-Position: refs/heads/master@{#423535}

Powered by Google App Engine
This is Rietveld 408576698